org.apache.xmpbox.xml

## Class XmpSerializationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.xmpbox.xml.XmpSerializationException

All Implemented Interfaces:
  Serializable

    public class XmpSerializationException
    extends Exception

Exception when Parsing cannot be made

Author:
  a183132
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`XmpSerializationException(String message)` Create an instance of TransformException
`XmpSerializationException(String message, Throwable cause)` Create an instance of TransformException

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### XmpSerializationException

    public XmpSerializationException(String message)

Create an instance of TransformException

Parameters:
  `message` - a description of the encountered problem

#### XmpSerializationException

    public XmpSerializationException(String message,
                                     Throwable cause)

Create an instance of TransformException

Parameters:
  `message` - a description of the encountered problem
  `cause` - the cause of the exception